<div class="col-lg-12 animated fadeInRight">
  <div class="wrapper wrapper-content animated fadeInRight">
    <div class="row">
      <div class="col-lg-12">
        <div class="ibox float-e-margins">
          <div class="ibox-title">
            <h3>
              <strong>Driver Map</strong>
            </h3>
            <div class="fm-row">
              <div class="row">
                <div class="col-md-4">

                </div>
                <div class="col-sm-4 col-md-4 autocomplete-field-container text-right">
                  <input type="text" class="form-control" placeholder="Enter Order Id" [formControl]="orderCtrl">

                </div>
                <div class="col-sm-2  text-right">
                  <select class="form-control" [formControl]="name">
                    <option value=3000>3KM</option>
                    <option value=6000>6KM</option>
                    <option value=9000>9KM</option>
                    <option value=12000>12KM</option>
                    <option value=15000>15KM</option>
                  </select>
                </div>

                <div class="col-sm-2 text-right">
                  <button class="btn btn-sm btn-primary blue" [disabled]="searchSubmit" type="button"
                    (click)="driverList()">
                    <i aria-hidden="true" class="fa fa-search"></i> Search</button>
                </div>
              </div>
            </div>
            <div class="ibox-content">
              <span *ngIf="searchSubmit">
                <img class="loader-img" src="assets/img/loading.gif" alt="loader"/>
              </span>
              <ngui-map class="ngui-map" [zoom]="zoom" [center]="center" (mapReady$)="onMapReady($event)" (mapClick)="onMapClick($event)"
                (idle)="onIdle($event)" mapTypeId="roadmap">
                <marker *ngFor="let pos of positions" [position]="pos"
                  [icon]="{url: 'assets/img/map/dispatcher pins/accepted_driver_location.png'}"
                  (initialized$)="onMarkerInit($event)" (click)="clicked($event)"></marker>
                <circle [center]="center" [strokeColor]="'#FF0000'" [strokeOpacity]="0.8" [strokeWeight]="2"
                  [editable]="false" [radius]="radius" draggable="false"></circle>
                <info-window id="iw">
                  <div>
                    <strong>Order Id :</strong> {{tripId}}
                  </div>
                  <div>
                    <strong>Selected Category :</strong> {{t4Selection?.name}}
                  </div>
                </info-window>
              </ngui-map>
            </div>
          </div>
        </div>